const { getConfig } = require('./configurator');
const axios = require('axios');


module.exports = async (data) => {
  const config = getConfig();
    try {
    const { data: response } = await axios({
      method: 'post',
      url: config.datasourceAggregatorUrl,
      data,
      headers: { Authorization: `${config.tokenType} ${config.oauthToken}` },
      responseType: 'json',
    });
    return response;
  } catch (error) {
    console.log('RESPOONSE ERROR', error)    
  }
}

  