const send = require('./sender');
const { getConfig } = require('./configurator');

const TIMEOUT = 6000;
const DATASOURCE_NAME = 'tracksy-mouse-keyboard-monitor';
let sendableData = {};


const collect = (event) => {
  const config = getConfig();
  sendableData = {
    datasourceType: DATASOURCE_NAME,
    userEmail: config.userEmail,
    createdAt: Math.floor(Date.now() / 1000),
    data: event
  }

}

const reset = () => {
  sendableData = {};
}

setInterval(() => {
  if (Object.entries(sendableData).length > 0) {
    console.log('Send Keyboard datas:')
    console.log(sendableData);
    send(sendableData);
    reset();
  }
}, TIMEOUT);

module.exports = { collect }
